<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Account;

class AccountPolicy
{
    /**
     * Update permission
     */
    public function update(User $user, Account $account): bool
    {
        return $user->id === $account->user_id;
    }

    /**
     * Delete permission
     */
    public function delete(User $user, Account $account): bool
    {
        return $user->id === $account->user_id;
    }
}